<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1svr__linear__trainer.html">svr_linear_trainer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::svr_linear_trainer&lt; K &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>be_quiet</b>() (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>be_verbose</b>() (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>C</b> (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>COMPILE_TIME_ASSERT</b>((is_same_type&lt; K, linear_kernel&lt; sample_type &gt; &gt;::value||is_same_type&lt; K, sparse_linear_kernel&lt; sample_type &gt; &gt;::value)) (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>eps</b> (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>eps_insensitivity</b> (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>force_last_weight_to_1</b>(bool should_last_weight_be_1) (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>forces_last_weight_to_1</b>() const (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_c</b>() const (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_epsilon</b>() const (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_epsilon_insensitivity</b>() const (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_kernel</b>() const (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_max_iterations</b>() const (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_oca</b>() const (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kernel_type</b> typedef (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>last_weight_1</b> (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>learn_nonnegative_weights</b> (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>learns_nonnegative_weights</b>() const (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>max_iterations</b> (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mem_manager_type</b> typedef (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>sample_type</b> typedef (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>scalar_type</b> typedef (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_c</b>(scalar_type C_) (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_epsilon</b>(scalar_type eps_) (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_epsilon_insensitivity</b>(scalar_type eps_) (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_learns_nonnegative_weights</b>(bool value) (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_max_iterations</b>(unsigned long max_iter) (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_oca</b>(const oca &amp;item) (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>solver</b> (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>svr_linear_trainer</b>() (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>svr_linear_trainer</b>(const scalar_type &amp;C_) (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>train</b>(const std::vector&lt; sample_type &gt; &amp;samples, const std::vector&lt; scalar_type &gt; &amp;targets) const (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>trained_function_type</b> typedef (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>verbose</b> (defined in <a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1svr__linear__trainer.html">dlib::svr_linear_trainer&lt; K &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
